1. public
go fiber | Auth
  • public
    • health
      GET
    • Register
      POST
    • Login
      POST
  • User
    • Update Profile
      PUT
    • Get Profile
      GET
    • Change password
      POST
    • Deactive account
      POST
    • Logout
      POST
    • Refresh token jwt
      POST
  • Absensi
    • Checkin
      POST
    • Checkout
      POST
    • Cek Absensi
      GET
    • History
      GET
    • Stats
      GET
  1. public

Register

POST
/api/v1/auth/register

Request

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.side.my.id/api/v1/auth/register' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "dimas",
    "email": "dimas@gmail.com",
    "password": "123123",
    "NIS": "11111111",
    "Kelas": "kelas bangg",
    "Jurusan": "MIF"

}'
Response Response Example
{
    "success": true,
    "message": "User registered successfully",
    "data": {
        "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VyX2lkIjoiNjg3NzhhY2E1YTUzN2ExZTRmZWQ0ZjY5IiwiaXNzIjoidWppa29tLWJhY2tlbmQiLCJzdWIiOiI2ODc3OGFjYTVhNTM3YTFlNGZlZDRmNjkiLCJleHAiOjE3NTI3NTExNzgsIm5iZiI6MTc1MjY2NDc3OCwiaWF0IjoxNzUyNjY0Nzc4fQ.nYsUM0pdBFKKdzxYHgk-hojXNOKj6sMfJvb2dEL4HvI",
        "user": {
            "id": "68778aca5a537a1e4fed4f69",
            "nis": "11111111",
            "name": "dimas",
            "kelas": "kelas bangg",
            "jurusan": "MIF",
            "email": "dimas@gmail.com",
            "is_active": true,
            "created_at": "2025-07-16T11:19:38.9461357Z",
            "updated_at": "2025-07-16T11:19:38.9461357Z"
        }
    },
    "timestamp": "2025-07-16 11:19:38"
}
Modified at 2025-07-16 11:20:54
Previous
health
Next
Login
Built with